// (c)2000 by Ed Beighe
// ebeighe@aztec.asu.edu

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <process.h>

int main( void )
{
   int   state, result;
   char  s[81], envstring[81] = "IPADDR=";

// Parses the output of the win95/98 ipconfig command
// Finds the first IP address whose IP is NOT of the form:
// 10.x.x.x or 192.168.x.x (as these will be bogus IP's

state = 2;

   while (result!=EOF && result!=0 && state!=5) {
	result = scanf( "%s", s );

	switch (state) {
	case 2: 
		if ( strcmp(s,"Address.") == 0 )
			state = 3 ;
		break;
	case 3:
		if ( strcmp(s,":") == 0 )
			state = 4 ;
		break;
	case 4: 
		if (	(strncmp(s,"10.",3) == 0)      ||
				(strncmp(s,"192.168.",8) == 0) ||
				(strncmp(s,"0.",2) == 0)
			) {
			state = 2;
			break;
			}
		
		state = 5;
		break;
	}

   } /* while */

   if (state!=5) {
		printf("problem scanning\n");
		return(0);
   }
	else {
		printf("Ip address found %s\n", s);
		strcat(envstring, s);
		printf("Environment string passed: %s\n", envstring);

		_putenv( envstring );

		_execlp( "sendurl.bat","sendurl.bat", "_execlp", "two", NULL );
		return(1);  
	}


}

